import util from '../../src/libs/util.js';

Page({
  data: {
    showRectangle: false,
    showDialog: true,
    arrowPositions: [
      'bottom-left',
      'bottom-center',
      'bottom-right',
      'top-left',
      'top-center',
      'top-right',
      'left',
      'right',
    ],
    arrowPosIndex: 3,
    useButton: true,
  },
  onLoad() {
    if (getApp().globalData.userInfo.roleCodeList.find(i => i === 'jy')) {
      this.setData({
        showRectangle: true
      })
    }
  },
  onCloseTap() {
    this.setData({
      showRectangle: false,
    });
  },
  onRectangleTap() {
    util.db.remove('appInfo').then(res => {
      dd.navigateTo({
        url: '../index/index'
      })
    })
  },
});
