import http from '../http';
import util from '../libs/util';
import dd from 'gdt-jsapi';

function login() {

  // getApp().globalData.userInfo = {userId: '3104288', name: '黄麒宇', roleCodeList: ['jy', 'gly', 'cgkld', 'bmld'],sysDepart: {id: 'f8c3b870748a4b7ea90cdf3a14ccb710', departName: '办公室'}}
  // if (!getApp().globalData.userInfo.sysDepart) {   
  //   dd.redirectTo({ url: '/pages/changeCrop/changeCrop' })
  // } else { 
  //   dd.redirectTo({ url: '/pages/my/my' })
  // }
  // 获取免登授权码
  dd.getAuthCode({}).then(res => {
    if (res.code) {
      http.get('/jeecg/zzdApi/getUserInfo', {authCode: res.code}).then(res => {
        if(res.success){
          getApp().globalData.userInfo = res.result.userInfo
          var app = getApp();
          // 如采集用户信息是异步行为需要先执行这个BLOCK埋点
          app.aplus.aplus_queue.push({
            action: 'aplus.setMetaInfo',
            arguments: ['_hold', 'BLOCK']
          });
          //用户id和用户昵称需要埋政钉用户真实信息，用户ID必须用accountId ，用户昵称必须用employeeName，可通过开放平台接口获取。
          // _user_id为用户ID
          app.aplus.aplus_queue.push({
            action: "aplus.setMetaInfo",
            arguments: ["_user_id", res.result.userInfo.userId]
          });
          // _user_nick为用户昵称
          app.aplus.aplus_queue.push({
            action: "aplus.setMetaInfo",
            arguments: ["_user_nick", res.result.userInfo.name]
          });

          app.aplus.aplus_queue.push({
            action: 'aplus.setMetaInfo',
            arguments: ['_hold', 'START']
          });

          if (!res.result.userInfo.sysDepart) {   
            dd.redirectTo({ url: '/pages/changeCrop/changeCrop' })
          } else { 
            dd.redirectTo({ url: '/pages/my/my' })
          }
        } else {
          util.ddToast({ type: 'fail', text: res.message })
        }
      })
    }
  })
}

export default login
